tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Thomas <ma...@apache.org>
Subject Re: tomcat 5.5.17 catalina.bat - dropping support for JPDA_OPTS environment variable?
Date Wed, 13 Sep 2006 22:55:31 GMT
Kurt Roy wrote:
> Hello,
> Attached is a zip file containing revised catalina.sh and catalina.bat
> files supporting JPDA_OPTS (supported in tomcat 4.1.18), and support for
> a new JPDA_SUSPEND.

zips don't get through the mail server.

> catalina.bat changes: 
> 
> 1. Added back support for JPDA_OPTS. I basically re-implemented as it
> was in tomcat 4.1.18. Note that its only implemented in the non-security
> execution branch (this is how it was in tomcat 4.1.18).

This should be added for when running with the security manager as well.

> I am sorry, I have never contributed anything to open source before, so
> I am not sure about the procedure. You offered to take a look, so I am
> sending this to you.

Things look good so far. A few minor tweaks required but nothing serious.

> If you think this is OK, you can check it in, or you can point me to the
> instructions on how to contribute.

Simplest way is to create a new bugzilla entry and add the patch.
Ideally patches should be in diff -u format against the latest version
of the source.

Mark

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message